./wip/nspluginwrapper, Use Netscape compatible plugins from other platforms

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.4.4, Package name: nspluginwrapper-1.4.4, Maintainer: abs

nspluginwrapper is an Open Source compatibility plugin for Netscape
4 (NPAPI) plugins. It separates the execution environment of the
plugin from the browser, allowing a plugin compiled for one ABI to
be used in a browser compiled for another.

For example the linux 32bit Adobe Flash plugin can be used in a
native Firefox under Linux/x86_64, NetBSD, DragonFlyBSD and FreeBSD
platforms.

To install the Linux flash player into a native Firefox browser:
- Also install multimedia/ns-flash and multimedia/libflashsupport
- Run "nspluginwrapper -i /usr/pkg/lib/netscape/plugins/libflashplayer.so"
- Run Firefox

You do not need nspluginwrapper if the ABI of the plugin and browser are the
same, such as running a 32 bit Linux firefox and flash plugin under NetBSD.


Required to run:
[www/curl] [devel/glib2] [x11/gtk2] [emulators/suse131_gtk2] [emulators/suse131_x11] [emulators/suse131_base]

Required to build:
[pkgtools/x11-links] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Master sites: (Expand)

SHA1: ffb271a741215874808d4a77d0a0dd65588a8440
RMD160: 6acd93653aa8466e1e3703c2b794f32691c10d12
Filesize: 402.845 KB

Version history: (Expand)


CVS history: (Expand)


   2015-03-21 02:06:44 by Makoto Fujiwara | Files touched by this commit (7) | Package updated
Log message:
(Based on PR pkg/49705 http://gnats.netbsd.org/49705 by tsutsui,
update candidate for nspluginwrapper.)

Import nspluginwrapper-1.4.4 as wip/nspluginwrapper.

nspluginwrapper is an Open Source compatibility plugin for Netscape
4 (NPAPI) plugins. It separates the execution environment of the
plugin from the browser, allowing a plugin compiled for one ABI to
be used in a browser compiled for another.

For example the linux 32bit Adobe Flash plugin can be used in a
native Firefox under Linux/x86_64, NetBSD, DragonFlyBSD and FreeBSD
platforms.

To install the Linux flash player into a native Firefox browser:
  - Also install multimedia/ns-flash and multimedia/libflashsupport
  - Run "nspluginwrapper -i \ 
/usr/pkg/lib/netscape/plugins/libflashplayer.so"
  - Run Firefox

You do not need nspluginwrapper if the ABI of the plugin and browser are the
same, such as running a 32 bit Linux firefox and flash plugin under NetBSD.